Package org.apache.lucene.util

# Interface ClassLoaderUtils

public interface ClassLoaderUtils
Helper class used by ServiceLoader to investigate parent/child relationships of `ClassLoader`s.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static boolean`
  `isParentClassLoader(ClassLoader parent, ClassLoader child)`
  Utility method to check if some class loader is a (grand-)parent of or the same as another one.

- ## Method Details

  - ### isParentClassLoader

    static boolean isParentClassLoader(ClassLoader parent, ClassLoader child)
    Utility method to check if some class loader is a (grand-)parent of or the same as another one. This means the child will be able to load all classes from the parent, too.

    If caller's codesource doesn't have enough permissions to do the check, `false` is returned (this is fine, because if we get a `SecurityException` it is for sure no parent).